org.deidentifier.arx.gui.model

## Class ModelClipboard

- java.lang.Object
- - org.deidentifier.arx.gui.model.ModelClipboard

    public class ModelClipboard
    extends java.lang.Object

A model for the clipboard.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`ModelClipboard()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addAllToClipboard(java.util.List<ARXLattice.ARXNode> list)` Add a set of elements to the clipboard.
`void` `addInterestingTransformations(Model model)` Extracts interesting transformations from the given result
`void` `addToClipboard(ARXLattice.ARXNode node)` Add a node to the clipboard.
`void` `clearClipboard()` Clear the clipboard.
`java.util.List<ARXLattice.ARXNode>` `getClipboardEntries()` Returns a copy of all clipboard entries.
`boolean` `isModified()` Is the clipboard modified.
`void` `moveEntryDown(ARXLattice.ARXNode node)` Moves the entry down.
`void` `moveEntryUp(ARXLattice.ARXNode node)` Moves the entry up.
`void` `removeFromClipboard(ARXLattice.ARXNode node)` Removes an entry from the clip board.
`void` `setUnmodified()` Sets as unmodified.
`void` `sort()` Sorts all nodes according to their minimal score.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModelClipboard

    public ModelClipboard()

### Method Detail

#### addAllToClipboard

    public void addAllToClipboard(java.util.List<ARXLattice.ARXNode> list)

Add a set of elements to the clipboard.

Parameters:
  `list` -

#### addInterestingTransformations

    public void addInterestingTransformations(Model model)

Extracts interesting transformations from the given result

Parameters:
  `model` -

#### addToClipboard

    public void addToClipboard(ARXLattice.ARXNode node)

Add a node to the clipboard.

Parameters:
  `node` -

#### clearClipboard

    public void clearClipboard()

Clear the clipboard.

#### getClipboardEntries

    public java.util.List<ARXLattice.ARXNode> getClipboardEntries()

Returns a copy of all clipboard entries.

Returns:

#### isModified

    public boolean isModified()

Is the clipboard modified.

Returns:

#### moveEntryDown

    public void moveEntryDown(ARXLattice.ARXNode node)

Moves the entry down.

Parameters:
  `node` -

#### moveEntryUp

    public void moveEntryUp(ARXLattice.ARXNode node)

Moves the entry up.

Parameters:
  `node` -

#### removeFromClipboard

    public void removeFromClipboard(ARXLattice.ARXNode node)

Removes an entry from the clip board.

Parameters:
  `node` -

#### setUnmodified

    public void setUnmodified()

Sets as unmodified.

#### sort

    public void sort()

Sorts all nodes according to their minimal score.